Module java.xml.crypto
Package javax.xml.crypto.dsig

## Interface SignatureMethod

All Superinterfaces:
  AlgorithmMethod, XMLStructure

    public interface SignatureMethod
    extends XMLStructure, AlgorithmMethod

A representation of the XML `SignatureMethod` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

       <element name="SignatureMethod" type="ds:SignatureMethodType"/>
         <complexType name="SignatureMethodType" mixed="true">
           <sequence>
             <element name="HMACOutputLength" minOccurs="0" type="ds:HMACOutputLengthType"/>
             <any namespace="##any" minOccurs="0" maxOccurs="unbounded"/>
               <!-- (0,unbounded) elements from (1,1) namespace -->
           </sequence>
           <attribute name="Algorithm" type="anyURI" use="required"/>
         </complexType>

A `SignatureMethod` instance may be created by invoking the `newSignatureMethod` method of the `XMLSignatureFactory` class.

Since:
  1.6
See Also:
  `XMLSignatureFactory.newSignatureMethod(String, SignatureMethodParameterSpec)`

### Field Summary

Fields
`static String` `DSA_SHA1` The DSAwithSHA1 (DSS) signature method algorithm URI.
`static String` `HMAC_SHA1` The HMAC-SHA1 MAC signature method algorithm URI
`static String` `RSA_SHA1` The RSAwithSHA1 (PKCS #1) signature method algorithm URI.

### Method Summary

All Methods Instance Methods Abstract Methods
`AlgorithmParameterSpec` `getParameterSpec()` Returns the algorithm-specific input parameters of this `SignatureMethod`.

### Methods inherited from interface javax.xml.crypto.AlgorithmMethod

`getAlgorithm`

### Methods inherited from interface javax.xml.crypto.XMLStructure

`isFeatureSupported`

### Field Detail

#### DSA_SHA1

    static final String DSA_SHA1

The DSAwithSHA1 (DSS) signature method algorithm URI.

See Also:
  Constant Field Values

#### HMAC_SHA1

    static final String HMAC_SHA1

The HMAC-SHA1 MAC signature method algorithm URI

See Also:
  Constant Field Values

#### RSA_SHA1

    static final String RSA_SHA1

The RSAwithSHA1 (PKCS #1) signature method algorithm URI.

See Also:
  Constant Field Values

### Method Detail

#### getParameterSpec

    AlgorithmParameterSpec getParameterSpec()

Returns the algorithm-specific input parameters of this `SignatureMethod`.

The returned parameters can be typecast to a `SignatureMethodParameterSpec` object.

Specified by:
  `getParameterSpec` in interface `AlgorithmMethod`
Returns:
  the algorithm-specific input parameters of this `SignatureMethod` (may be `null` if not specified)